Bug 1032046 - Enumerating instances of PG_SSLCertificateRevocationList returns error
Enumerating instances of PG_SSLCertificateRevocationList returns error
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: tog-pegasus (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Vitezslav Crhonek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-19 07:57 EST by Jan Synacek
Modified: 2015-09-15 08:54 EDT (History)
2 users (show)

See Also:
Fixed In Version: tog-pegasus-2.14.1-31.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-15 08:54:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Synacek 2013-11-19 07:57:13 EST
Description of problem:
Enumerating instances of PG_SSLCertificateRevocationList returns
CIM_ERR_FAILED: Invalid directory /etc/Pegasus/crl.


Version-Release number of selected component (if applicable):
tog-pegasus-2.13.0-5.fc21.x86_64


Steps to Reproduce:
1. Call PG_SSLCertificateRevocationList.EnumerateInstances() somehow (e.g. using yawn)


Actual results:
CIM_ERR_FAILED: Invalid directory /etc/Pegasus/crl


Expected results:
Enumerates instances of CRLs if any, otherwise shows nothing and returns an OK status.
Comment 1 Jaroslav Reznik 2015-03-03 10:13:03 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 2 Vitezslav Crhonek 2015-09-15 05:41:05 EDT
/etc/Pegasus/crl is marked as %ghost in the specfile, user has to create it and put certificate revocations there on his own currently.

Probably makes sense to create it by the package... This fixes CIM_ERR_FAILED and server returns empty response, as expected. I'll do that.

Note You need to log in before you can comment on or make changes to this bug.